@echo off

set directory=%1
set format=%2

if not exist %directory%\NaturalDocs echo Creating folder: %directory%\NaturalDocs
if not exist %directory%\NaturalDocs mkdir %directory%\NaturalDocs

if not exist %directory%\NaturalDocs\Documentation echo Creating folder: %directory%\NaturalDocs\Documentation
if not exist %directory%\NaturalDocs\Documentation mkdir %directory%\NaturalDocs\Documentation

if not exist %directory%\NaturalDocs\Project echo Creating folder: %directory%\NaturalDocs\Project
if not exist %directory%\NaturalDocs\Project mkdir %directory%\NaturalDocs\Project

set NaturalDocsParams=

rem Shift and loop so we can get more than nine parameters.
rem This is especially important if we have spaces in file names.

:loop
if "%3"=="" goto done
echo NaturalDocsParams %NaturalDocsParams% %3
set NaturalDocsParams=%NaturalDocsParams% %3
shift
goto loop
:done

"perl" "C:\Program Files\SEPY ActionScript Editor\utils\NaturalDocs-1.33\NaturalDocs" -i "%directory%" -o %format% "%directory%\NaturalDocs\Documentation" -p "%directory%\NaturalDocs\Project" %NaturalDocsParams%

set NaturalDocsParams=